# $Revision: 1.21 $, $Date: 2012/05/17 20:00:18 $
Summary:	Notes plugin for the Xfce panel
Summary(pl.UTF-8):	Notatki dla panelu Xfce
Name:		xfce4-notes-plugin
Version:	1.7.7
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-notes-plugin/1.7/%{name}-%{version}.tar.bz2
# Source0-md5:	42b924b23f2fec6a1099e9b7a87db4a3
Patch0:		%{name}-ui.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
BuildRequires:	Thunar-devel >= 1.2.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= 4.8.0
BuildRequires:	xfconf-devel >= 4.8.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-notes is a plugin for the Xfce panel which provides a simple
system for managing sticky notes on your desktop.

%description -l pl.UTF-8
xfce4-notes jest wtyczką dla panelu Xfce pozwalającą na umieszczanie
notatek na pulpicie.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%attr(755,root,root) %{_bindir}/xfce4-notes
%attr(755,root,root) %{_bindir}/xfce4-popup-notes
%attr(755,root,root) %{_bindir}/xfce4-notes-settings
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libnotes.so*
%{_datadir}/xfce4-notes-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-notes-plugin-47.desktop
%{_iconsdir}/hicolor/*/apps/*.*
%{_desktopdir}/xfce4-notes.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-notes-plugin.spec,v $
Revision 1.21  2012/05/17 20:00:18  baggins
- release 3

Revision 1.20  2011/03/01 12:14:11  baggins
- rel 2
- port to libxfce4ui

Revision 1.19  2011/02/16 22:01:58  megabajt
- merged from DEVEL

Revision 1.17.2.2  2011/02/15 11:37:46  megabajt
- fixed %files
- revised deps

Revision 1.18  2011/02/04 18:24:09  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.17.2.1  2010/11/15 09:56:26  baggins
- 1.7.7 for XFCE 4.8

Revision 1.17  2010/11/11 13:35:42  baggins
- rel 3
- really fix ur_PK

Revision 1.16  2010/11/11 13:25:59  baggins
- rel 2
- locale fix

Revision 1.15  2010/11/11 12:20:05  baggins
- up to 1.7.2 for XFCE 4.6 (last version for 4.6)

Revision 1.14  2009/03/01 16:59:42  megabajt
- updated to 1.6.4
- removed obsolete -locale-names.patch

Revision 1.13  2007/12/07 18:50:10  megabajt
- updated to 1.6.0
- added locale-names patch

Revision 1.12  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.10  2007/01/26 19:18:48  megabajt
- up to 1.4.1

Revision 1.9  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.8  2006/02/27 09:39:48  rotom
- up to 0.11.1

Revision 1.7  2005/06/18 15:25:10  zbyniu
- BR: libtool, pkgconfig

Revision 1.6  2005/03/09 09:09:51  havner
- rel up for rebuild with xfce 4.2

Revision 1.5  2005/02/09 23:15:15  charles
- disable static lib
- rm installed .la file

Revision 1.4  2005/02/08 19:03:15  qboosh
- BR: ac,am

Revision 1.3  2005/02/08 13:05:38  troll
- unifications, formatting
- release 1

Revision 1.2  2005/02/07 19:47:12  petec
- added aclocal, autoconf, autoheader, automake

Revision 1.1  2005/02/07 19:32:08  petec
- initial release
